GummiBears = LibStub("AceAddon-3.0"):NewAddon("GummiBears", "AceEvent-3.0")

-- Called when the addon is loaded
function GummiBears:OnInitialize()
end

-- Called when the addon is enabled
function GummiBears:OnEnable()
	local _, strClass = UnitClass("player");
	if (strClass == "DRUID") then
		--print("registering event")
		self:RegisterEvent("UPDATE_SHAPESHIFT_FORM", "SetToggle");
	end
	self:SetToggle();
end

-- Called when the addon is Disabled
function GummiBears:OnDisable()
	local _, strClass = UnitClass("player");
	if (strClass == "DRUID") then
		self:UnregisterEvent("UPDATE_SHAPESHIFT_FORM");
	end
	
	SetCVar("autoUnshift", 1); 
end

function GummiBears:SetToggle()
	if (GetCVar("autoUnshift") == "1" and GetShapeshiftFormID() == BEAR_FORM) then
		--print("turning off autoshift")
		SetCVar("autoUnshift", 0);
	elseif (GetCVar("autoUnshift") == "0") then
		--print("turning on autoshift")
		SetCVar("autoUnshift", 1);
	end	
end
